DOMFragmentParser (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html.parsers
Class DOMFragmentParser

    java.lang.Object
      org.cyberneko.html.parsers.DOMFragmentParser

All Implemented Interfaces:
  org.apache.xerces.xni.XMLDocumentHandler

    public class DOMFragmentParser

extends java.lang.Object
implements org.apache.xerces.xni.XMLDocumentHandler

A DOM parser for HTML fragments.

Version:
  $Id: DOMFragmentParser.java,v 1.8 2005/02/14 03:56:54 andyc Exp $
Author:
  Andy Clark

Field Summary
`protected static java.lang.String` | `CURRENT_ELEMENT_NODE` Current element node.
`protected static java.lang.String` | `DOCUMENT_FRAGMENT` Document fragment balancing only.
`protected static java.lang.String` | `ERROR_HANDLER` Property identifier: error handler.
`protected org.w3c.dom.Node` | `fCurrentNode` Current node.
`protected org.w3c.dom.Document` | `fDocument` Document.
`protected org.w3c.dom.DocumentFragment` | `fDocumentFragment` DOM document fragment.
`protected org.apache.xerces.xni.parser.XMLDocumentSource` | `fDocumentSource` Document source.
`protected boolean` | `fInCDATASection` True if within a CDATA section.
`protected org.apache.xerces.xni.parser.XMLParserConfiguration` | `fParserConfiguration` Parser configuration.
`protected static java.lang.String[]` | `RECOGNIZED_FEATURES` Recognized features.
`protected static java.lang.String[]` | `RECOGNIZED_PROPERTIES` Recognized properties.

Constructor Summary
`DOMFragmentParser()` Default constructor.

Method Summary
`void` | `characters(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` Characters.
`void` | `comment(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` Comment.
`void` | `doctypeDecl(java.lang.String root, java.lang.String pubid, java.lang.String sysid, org.apache.xerces.xni.Augmentations augs)` Document type declaration.
`void` | `emptyElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attrs, org.apache.xerces.xni.Augmentations augs)` Empty element.
`void` | `endCDATA(org.apache.xerces.xni.Augmentations augs)` End CDATA section.
`void` | `endDocument(org.apache.xerces.xni.Augmentations augs)` End document.
`void` | `endElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs)` End element.
`void` | `endGeneralEntity(java.lang.String name, org.apache.xerces.xni.Augmentations augs)` End general entity.
`void` | `endPrefixMapping(java.lang.String prefix, org.apache.xerces.xni.Augmentations augs)` End prefix mapping.
`org.apache.xerces.xni.parser.XMLDocumentSource` | `getDocumentSource()` Returns the document source.
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Return the current error handler.
`boolean` | `getFeature(java.lang.String featureId)` Query the state of a feature.
`java.lang.Object` | `getProperty(java.lang.String propertyId)` Query the value of a property.
`void` | `ignorableWhitespace(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` Ignorable whitespace.
`void` | `parse(org.xml.sax.InputSource source, org.w3c.dom.DocumentFragment fragment)` Parses a document fragment.
`void` | `parse(java.lang.String systemId, org.w3c.dom.DocumentFragment fragment)` Parses a document fragment.
`void` | `processingInstruction(java.lang.String target, org.apache.xerces.xni.XMLString data, org.apache.xerces.xni.Augmentations augs)` Processing instruction.
`void` | `setDocumentSource(org.apache.xerces.xni.parser.XMLDocumentSource source)` Sets the document source.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)` Allow an application to register an error event handler.
`void` | `setFeature(java.lang.String featureId, boolean state)` Set the state of any feature in a SAX2 parser.
`void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` Set the value of any property in a SAX2 parser.
`void` | `startCDATA(org.apache.xerces.xni.Augmentations augs)` Start CDATA section.
`void` | `startDocument(org.apache.xerces.xni.XMLLocator locator, java.lang.String encoding, org.apache.xerces.xni.Augmentations augs)` Start document.
`void` | `startDocument(org.apache.xerces.xni.XMLLocator locator, java.lang.String encoding, org.apache.xerces.xni.NamespaceContext nscontext, org.apache.xerces.xni.Augmentations augs)` Start document.
`void` | `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attrs, org.apache.xerces.xni.Augmentations augs)` Start element.
`void` | `startGeneralEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier id, java.lang.String encoding, org.apache.xerces.xni.Augmentations augs)` Start general entity.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri, org.apache.xerces.xni.Augmentations augs)` Start prefix mapping.
`void` | `textDecl(java.lang.String version, java.lang.String encoding, org.apache.xerces.xni.Augmentations augs)` Text declaration.
`void` | `xmlDecl(java.lang.String version, java.lang.String encoding, java.lang.String standalone, org.apache.xerces.xni.Augmentations augs)` XML declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCUMENT_FRAGMENT

    protected static final java.lang.String DOCUMENT_FRAGMENT

  Document fragment balancing only.

  See Also:
    Constant Field Values

### RECOGNIZED_FEATURES

    protected static final java.lang.String[] RECOGNIZED_FEATURES

  Recognized features.

### ERROR_HANDLER

    protected static final java.lang.String ERROR_HANDLER

  Property identifier: error handler.

  See Also:
    Constant Field Values

### CURRENT_ELEMENT_NODE

    protected static final java.lang.String CURRENT_ELEMENT_NODE

  Current element node.

  See Also:
    Constant Field Values

### RECOGNIZED_PROPERTIES

    protected static final java.lang.String[] RECOGNIZED_PROPERTIES

  Recognized properties.

### fParserConfiguration

    protected org.apache.xerces.xni.parser.XMLParserConfiguration fParserConfiguration

  Parser configuration.

### fDocumentSource

    protected org.apache.xerces.xni.parser.XMLDocumentSource fDocumentSource

  Document source.

### fDocumentFragment

    protected org.w3c.dom.DocumentFragment fDocumentFragment

  DOM document fragment.

### fDocument

    protected org.w3c.dom.Document fDocument

  Document.

### fCurrentNode

    protected org.w3c.dom.Node fCurrentNode

  Current node.

### fInCDATASection

    protected boolean fInCDATASection

  True if within a CDATA section.

Constructor Detail

### DOMFragmentParser

    public DOMFragmentParser()

  Default constructor.

Method Detail

### parse

    public void parse(java.lang.String systemId,
                      org.w3c.dom.DocumentFragment fragment)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Parses a document fragment.

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public void parse(org.xml.sax.InputSource source,
                      org.w3c.dom.DocumentFragment fragment)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Parses a document fragment.

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Parameters:
    `errorHandler` - The error handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `getErrorHandler()`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Return the current error handler.

  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `setErrorHandler(org.xml.sax.ErrorHandler)`

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.

  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - If the requested feature is not known.
    `org.xml.sax.SAXNotSupportedException` - If the requested feature is known, but the requested state is not supported.

### getFeature

    public boolean getFeature(java.lang.String featureId)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Query the state of a feature. Query the current state of any feature in a SAX2 parser. The parser might not recognize the feature.

  Parameters:
    `featureId` - The unique identifier (URI) of the feature being set.
  Returns:
    The current state of the feature.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - If the requested feature is not known.
    `org.xml.sax.SAXNotSupportedException` - If the requested feature is known but not supported.

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Set the value of any property in a SAX2 parser. The parser might not recognize the property, and if it does recognize it, it might not support the requested value.

  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
    `value` - The value to which the property is being set.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - If the requested property is not known.
    `org.xml.sax.SAXNotSupportedException` - If the requested property is known, but the requested value is not supported.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyId)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Query the value of a property. Return the current value of a property in a SAX2 parser. The parser might not recognize the property.

  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Returns:
    The current value of the property.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - If the requested property is not known.
    `org.xml.sax.SAXNotSupportedException` - If the requested property is known but not supported.

### setDocumentSource

    public void setDocumentSource(org.apache.xerces.xni.parser.XMLDocumentSource source)

  Sets the document source.

  Specified by:
    `setDocumentSource` in interface `org.apache.xerces.xni.XMLDocumentHandler`

### getDocumentSource

    public org.apache.xerces.xni.parser.XMLDocumentSource getDocumentSource()

  Returns the document source.

  Specified by:
    `getDocumentSource` in interface `org.apache.xerces.xni.XMLDocumentHandler`

### startDocument

    public void startDocument(org.apache.xerces.xni.XMLLocator locator,
                              java.lang.String encoding,
                              org.apache.xerces.xni.Augmentations augs)
                       throws org.apache.xerces.xni.XNIException

  Start document.

  Throws:
    `org.apache.xerces.xni.XNIException`

### startDocument

    public void startDocument(org.apache.xerces.xni.XMLLocator locator,
                              java.lang.String encoding,
                              org.apache.xerces.xni.NamespaceContext nscontext,
                              org.apache.xerces.xni.Augmentations augs)
                       throws org.apache.xerces.xni.XNIException

  Start document.

  Specified by:
    `startDocument` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### xmlDecl

    public void xmlDecl(java.lang.String version,
                        java.lang.String encoding,
                        java.lang.String standalone,
                        org.apache.xerces.xni.Augmentations augs)
                 throws org.apache.xerces.xni.XNIException

  XML declaration.

  Specified by:
    `xmlDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### doctypeDecl

    public void doctypeDecl(java.lang.String root,
                            java.lang.String pubid,
                            java.lang.String sysid,
                            org.apache.xerces.xni.Augmentations augs)
                     throws org.apache.xerces.xni.XNIException

  Document type declaration.

  Specified by:
    `doctypeDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      org.apache.xerces.xni.XMLString data,
                                      org.apache.xerces.xni.Augmentations augs)
                               throws org.apache.xerces.xni.XNIException

  Processing instruction.

  Specified by:
    `processingInstruction` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### comment

    public void comment(org.apache.xerces.xni.XMLString text,
                        org.apache.xerces.xni.Augmentations augs)
                 throws org.apache.xerces.xni.XNIException

  Comment.

  Specified by:
    `comment` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri,
                                   org.apache.xerces.xni.Augmentations augs)
                            throws org.apache.xerces.xni.XNIException

  Start prefix mapping. @deprecated Since Xerces 2.2.0.

  Throws:
    `org.apache.xerces.xni.XNIException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix,
                                 org.apache.xerces.xni.Augmentations augs)
                          throws org.apache.xerces.xni.XNIException

  End prefix mapping. @deprecated Since Xerces 2.2.0.

  Throws:
    `org.apache.xerces.xni.XNIException`

### startElement

    public void startElement(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attrs,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

  Start element.

  Specified by:
    `startElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### emptyElement

    public void emptyElement(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attrs,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

  Empty element.

  Specified by:
    `emptyElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### characters

    public void characters(org.apache.xerces.xni.XMLString text,
                           org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  Characters.

  Specified by:
    `characters` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### ignorableWhitespace

    public void ignorableWhitespace(org.apache.xerces.xni.XMLString text,
                                    org.apache.xerces.xni.Augmentations augs)
                             throws org.apache.xerces.xni.XNIException

  Ignorable whitespace.

  Specified by:
    `ignorableWhitespace` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### startGeneralEntity

    public void startGeneralEntity(java.lang.String name,
                                   org.apache.xerces.xni.XMLResourceIdentifier id,
                                   java.lang.String encoding,
                                   org.apache.xerces.xni.Augmentations augs)
                            throws org.apache.xerces.xni.XNIException

  Start general entity.

  Specified by:
    `startGeneralEntity` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### textDecl

    public void textDecl(java.lang.String version,
                         java.lang.String encoding,
                         org.apache.xerces.xni.Augmentations augs)
                  throws org.apache.xerces.xni.XNIException

  Text declaration.

  Specified by:
    `textDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### endGeneralEntity

    public void endGeneralEntity(java.lang.String name,
                                 org.apache.xerces.xni.Augmentations augs)
                          throws org.apache.xerces.xni.XNIException

  End general entity.

  Specified by:
    `endGeneralEntity` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### startCDATA

    public void startCDATA(org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  Start CDATA section.

  Specified by:
    `startCDATA` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### endCDATA

    public void endCDATA(org.apache.xerces.xni.Augmentations augs)
                  throws org.apache.xerces.xni.XNIException

  End CDATA section.

  Specified by:
    `endCDATA` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### endElement

    public void endElement(org.apache.xerces.xni.QName element,
                           org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  End element.

  Specified by:
    `endElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

### endDocument

    public void endDocument(org.apache.xerces.xni.Augmentations augs)
                     throws org.apache.xerces.xni.XNIException

  End document.

  Specified by:
    `endDocument` in interface `org.apache.xerces.xni.XMLDocumentHandler`
  Throws:
    `org.apache.xerces.xni.XNIException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.